source: squid-ssl/trunk/fuentes/helpers/external_acl/session/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 41.6 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = ext_session_acl$(EXEEXT)
95subdir = helpers/external_acl/session
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_ext_session_acl_OBJECTS = ext_session_acl.$(OBJEXT)
165ext_session_acl_OBJECTS = $(am_ext_session_acl_OBJECTS)
166ext_session_acl_LDADD = $(LDADD)
167@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171ext_session_acl_DEPENDENCIES = $(am__DEPENDENCIES_2) \
172        $(am__DEPENDENCIES_3)
173AM_V_lt = $(am__v_lt_@AM_V@)
174am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
175am__v_lt_0 = --silent
176am__v_lt_1 =
177AM_V_P = $(am__v_P_@AM_V@)
178am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
179am__v_P_0 = false
180am__v_P_1 = :
181AM_V_GEN = $(am__v_GEN_@AM_V@)
182am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
183am__v_GEN_0 = @echo "  GEN     " $@;
184am__v_GEN_1 =
185AM_V_at = $(am__v_at_@AM_V@)
186am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
187am__v_at_0 = @
188am__v_at_1 =
189DEFAULT_INCLUDES =
190depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
191am__depfiles_maybe = depfiles
192am__mv = mv -f
193CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
194        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
195LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
196        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
197        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
198        $(AM_CXXFLAGS) $(CXXFLAGS)
199AM_V_CXX = $(am__v_CXX_@AM_V@)
200am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
201am__v_CXX_0 = @echo "  CXX     " $@;
202am__v_CXX_1 =
203CXXLD = $(CXX)
204CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
206        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
207AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
208am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
209am__v_CXXLD_0 = @echo "  CXXLD   " $@;
210am__v_CXXLD_1 =
211SOURCES = $(ext_session_acl_SOURCES)
212DIST_SOURCES = $(ext_session_acl_SOURCES)
213am__can_run_installinfo = \
214  case $$AM_UPDATE_INFO_DIR in \
215    n|no|NO) false;; \
216    *) (install-info --version) >/dev/null 2>&1;; \
217  esac
218am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
219am__vpath_adj = case $$p in \
220    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
221    *) f=$$p;; \
222  esac;
223am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
224am__install_max = 40
225am__nobase_strip_setup = \
226  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
227am__nobase_strip = \
228  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
229am__nobase_list = $(am__nobase_strip_setup); \
230  for p in $$list; do echo "$$p $$p"; done | \
231  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
232  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
233    if (++n[$$2] == $(am__install_max)) \
234      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
235    END { for (dir in files) print dir, files[dir] }'
236am__base_list = \
237  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
238  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
239am__uninstall_files_from_dir = { \
240  test -z "$$files" \
241    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
242    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
243         $(am__cd) "$$dir" && rm -f $$files; }; \
244  }
245man8dir = $(mandir)/man8
246NROFF = nroff
247MANS = $(man_MANS)
248am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
249# Read a list of newline-separated strings from the standard input,
250# and print each of them once, without duplicates.  Input order is
251# *not* preserved.
252am__uniquify_input = $(AWK) '\
253  BEGIN { nonempty = 0; } \
254  { items[$$0] = 1; nonempty = 1; } \
255  END { if (nonempty) { for (i in items) print i; }; } \
256'
257# Make sure the list of sources is unique.  This is necessary because,
258# e.g., the same source file might be shared among _SOURCES variables
259# for different programs/libraries.
260am__define_uniq_tagged_files = \
261  list='$(am__tagged_files)'; \
262  unique=`for i in $$list; do \
263    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
264  done | $(am__uniquify_input)`
265ETAGS = etags
266CTAGS = ctags
267am__tty_colors_dummy = \
268  mgn= red= grn= lgn= blu= brg= std=; \
269  am__color_tests=no
270am__tty_colors = { \
271  $(am__tty_colors_dummy); \
272  if test "X$(AM_COLOR_TESTS)" = Xno; then \
273    am__color_tests=no; \
274  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
275    am__color_tests=yes; \
276  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
277    am__color_tests=yes; \
278  fi; \
279  if test $$am__color_tests = yes; then \
280    red='[0;31m'; \
281    grn='[0;32m'; \
282    lgn='[1;32m'; \
283    blu='[1;34m'; \
284    mgn='[0;35m'; \
285    brg='[1m'; \
286    std='[m'; \
287  fi; \
288}
289am__recheck_rx = ^[     ]*:recheck:[    ]*
290am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
291am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
292# A command that, given a newline-separated list of test names on the
293# standard input, print the name of the tests that are to be re-run
294# upon "make recheck".
295am__list_recheck_tests = $(AWK) '{ \
296  recheck = 1; \
297  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
298    { \
299      if (rc < 0) \
300        { \
301          if ((getline line2 < ($$0 ".log")) < 0) \
302            recheck = 0; \
303          break; \
304        } \
305      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
306        { \
307          recheck = 0; \
308          break; \
309        } \
310      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
311        { \
312          break; \
313        } \
314    }; \
315  if (recheck) \
316    print $$0; \
317  close ($$0 ".trs"); \
318  close ($$0 ".log"); \
319}'
320# A command that, given a newline-separated list of test names on the
321# standard input, create the global log from their .trs and .log files.
322am__create_global_log = $(AWK) ' \
323function fatal(msg) \
324{ \
325  print "fatal: making $@: " msg | "cat >&2"; \
326  exit 1; \
327} \
328function rst_section(header) \
329{ \
330  print header; \
331  len = length(header); \
332  for (i = 1; i <= len; i = i + 1) \
333    printf "="; \
334  printf "\n\n"; \
335} \
336{ \
337  copy_in_global_log = 1; \
338  global_test_result = "RUN"; \
339  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
340    { \
341      if (rc < 0) \
342         fatal("failed to read from " $$0 ".trs"); \
343      if (line ~ /$(am__global_test_result_rx)/) \
344        { \
345          sub("$(am__global_test_result_rx)", "", line); \
346          sub("[        ]*$$", "", line); \
347          global_test_result = line; \
348        } \
349      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
350        copy_in_global_log = 0; \
351    }; \
352  if (copy_in_global_log) \
353    { \
354      rst_section(global_test_result ": " $$0); \
355      while ((rc = (getline line < ($$0 ".log"))) != 0) \
356      { \
357        if (rc < 0) \
358          fatal("failed to read from " $$0 ".log"); \
359        print line; \
360      }; \
361      printf "\n"; \
362    }; \
363  close ($$0 ".trs"); \
364  close ($$0 ".log"); \
365}'
366# Restructured Text title.
367am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
368# Solaris 10 'make', and several other traditional 'make' implementations,
369# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
370# by disabling -e (using the XSI extension "set +e") if it's set.
371am__sh_e_setup = case $$- in *e*) set +e;; esac
372# Default flags passed to test drivers.
373am__common_driver_flags = \
374  --color-tests "$$am__color_tests" \
375  --enable-hard-errors "$$am__enable_hard_errors" \
376  --expect-failure "$$am__expect_failure"
377# To be inserted before the command running the test.  Creates the
378# directory for the log if needed.  Stores in $dir the directory
379# containing $f, in $tst the test, in $log the log.  Executes the
380# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
381# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
382# will run the test scripts (or their associated LOG_COMPILER, if
383# thy have one).
384am__check_pre = \
385$(am__sh_e_setup);                                      \
386$(am__vpath_adj_setup) $(am__vpath_adj)                 \
387$(am__tty_colors);                                      \
388srcdir=$(srcdir); export srcdir;                        \
389case "$@" in                                            \
390  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
391    *) am__odir=.;;                                     \
392esac;                                                   \
393test "x$$am__odir" = x"." || test -d "$$am__odir"       \
394  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
395if test -f "./$$f"; then dir=./;                        \
396elif test -f "$$f"; then dir=;                          \
397else dir="$(srcdir)/"; fi;                              \
398tst=$$dir$$f; log='$@';                                 \
399if test -n '$(DISABLE_HARD_ERRORS)'; then               \
400  am__enable_hard_errors=no;                            \
401else                                                    \
402  am__enable_hard_errors=yes;                           \
403fi;                                                     \
404case " $(XFAIL_TESTS) " in                              \
405  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
406    am__expect_failure=yes;;                            \
407  *)                                                    \
408    am__expect_failure=no;;                             \
409esac;                                                   \
410$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
411# A shell command to get the names of the tests scripts with any registered
412# extension removed (i.e., equivalently, the names of the test logs, with
413# the '.log' extension removed).  The result is saved in the shell variable
414# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
415# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
416# since that might cause problem with VPATH rewrites for suffix-less tests.
417# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
418am__set_TESTS_bases = \
419  bases='$(TEST_LOGS)'; \
420  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
421  bases=`echo $$bases`
422RECHECK_LOGS = $(TEST_LOGS)
423AM_RECURSIVE_TARGETS = check recheck
424TEST_SUITE_LOG = test-suite.log
425TEST_EXTENSIONS = @EXEEXT@ .test
426am__test_logs1 = $(TESTS:=.log)
427am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
428TEST_LOGS = $(am__test_logs2:.test.log=.log)
429TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
430TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
431        $(TEST_LOG_FLAGS)
432am__set_b = \
433  case '$@' in \
434    */*) \
435      case '$*' in \
436        */*) b='$*';; \
437          *) b=`echo '$@' | sed 's/\.log$$//'`; \
438       esac;; \
439    *) \
440      b='$*';; \
441  esac
442am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
443        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
444DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
445ACLOCAL = @ACLOCAL@
446ADAPTATION_LIBS = @ADAPTATION_LIBS@
447ALLOCA = @ALLOCA@
448AMTAR = @AMTAR@
449AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
450AR = @AR@
451ARGZ_H = @ARGZ_H@
452AR_R = @AR_R@
453AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
454AUTH_MODULES = @AUTH_MODULES@
455AUTOCONF = @AUTOCONF@
456AUTOHEADER = @AUTOHEADER@
457AUTOMAKE = @AUTOMAKE@
458AWK = @AWK@
459BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
460BUILDCXX = @BUILDCXX@
461BUILDCXXFLAGS = @BUILDCXXFLAGS@
462BZR = @BZR@
463CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
464CC = @CC@
465CCDEPMODE = @CCDEPMODE@
466CFLAGS = @CFLAGS@
467CGIEXT = @CGIEXT@
468CHMOD = @CHMOD@
469CPP = @CPP@
470CPPFLAGS = @CPPFLAGS@
471CPPUNITCONFIG = @CPPUNITCONFIG@
472CRYPTLIB = @CRYPTLIB@
473CXX = @CXX@
474CXXCPP = @CXXCPP@
475CXXDEPMODE = @CXXDEPMODE@
476CXXFLAGS = @CXXFLAGS@
477CYGPATH_W = @CYGPATH_W@
478DEFAULT_HOSTS = @DEFAULT_HOSTS@
479DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
480DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
481DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
482DEFS = @DEFS@
483DEPDIR = @DEPDIR@
484DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
485DISK_LIBS = @DISK_LIBS@
486DISK_LINKOBJS = @DISK_LINKOBJS@
487DISK_MODULES = @DISK_MODULES@
488DISK_OS_LIBS = @DISK_OS_LIBS@
489DISK_PROGRAMS = @DISK_PROGRAMS@
490DLLTOOL = @DLLTOOL@
491DSYMUTIL = @DSYMUTIL@
492DUMPBIN = @DUMPBIN@
493ECAP_LIBS = @ECAP_LIBS@
494ECHO_C = @ECHO_C@
495ECHO_N = @ECHO_N@
496ECHO_T = @ECHO_T@
497EGREP = @EGREP@
498EPOLL_LIBS = @EPOLL_LIBS@
499EUILIB = @EUILIB@
500EXEEXT = @EXEEXT@
501EXPATLIB = @EXPATLIB@
502EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
503EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
504EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
505FALSE = @FALSE@
506FGREP = @FGREP@
507GREP = @GREP@
508HAVE_CXX11 = @HAVE_CXX11@
509ICAP_LIBS = @ICAP_LIBS@
510INCLTDL = @INCLTDL@
511INSTALL = @INSTALL@
512INSTALL_DATA = @INSTALL_DATA@
513INSTALL_PROGRAM = @INSTALL_PROGRAM@
514INSTALL_SCRIPT = @INSTALL_SCRIPT@
515INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
516KRB5INCS = @KRB5INCS@
517KRB5LIBS = @KRB5LIBS@
518LBERLIB = @LBERLIB@
519LD = @LD@
520LDAPLIB = @LDAPLIB@
521LDFLAGS = @LDFLAGS@
522LIBADD_DL = @LIBADD_DL@
523LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
524LIBADD_DLOPEN = @LIBADD_DLOPEN@
525LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
526LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
527LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
528LIBLTDL = @LIBLTDL@
529LIBOBJS = @LIBOBJS@
530LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
531LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
532LIBS = @LIBS@
533LIBSASL = @LIBSASL@
534LIBTOOL = @LIBTOOL@
535LIB_DB = @LIB_DB@
536LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
537LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
538LINUXDOC = @LINUXDOC@
539LIPO = @LIPO@
540LN = @LN@
541LN_S = @LN_S@
542LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
543LTDLDEPS = @LTDLDEPS@
544LTDLINCL = @LTDLINCL@
545LTDLOPEN = @LTDLOPEN@
546LTLIBOBJS = @LTLIBOBJS@
547LT_CONFIG_H = @LT_CONFIG_H@
548LT_DLLOADERS = @LT_DLLOADERS@
549LT_DLPREOPEN = @LT_DLPREOPEN@
550MAINT = @MAINT@
551MAKEINFO = @MAKEINFO@
552MANIFEST_TOOL = @MANIFEST_TOOL@
553MINGW_LIBS = @MINGW_LIBS@
554MKDIR = @MKDIR@
555MKDIR_P = @MKDIR_P@
556MV = @MV@
557NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
558NETTLELIB = @NETTLELIB@
559NM = @NM@
560NMEDIT = @NMEDIT@
561NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
562OBJDUMP = @OBJDUMP@
563OBJEXT = @OBJEXT@
564OTOOL = @OTOOL@
565OTOOL64 = @OTOOL64@
566PACKAGE = @PACKAGE@
567PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
568PACKAGE_NAME = @PACKAGE_NAME@
569PACKAGE_STRING = @PACKAGE_STRING@
570PACKAGE_TARNAME = @PACKAGE_TARNAME@
571PACKAGE_URL = @PACKAGE_URL@
572PACKAGE_VERSION = @PACKAGE_VERSION@
573PATH_SEPARATOR = @PATH_SEPARATOR@
574PERL = @PERL@
575PKG_CONFIG = @PKG_CONFIG@
576PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
577PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
578PO2HTML = @PO2HTML@
579PO2TEXT = @PO2TEXT@
580POD2MAN = @POD2MAN@
581RANLIB = @RANLIB@
582REGEXLIB = @REGEXLIB@
583REPL_LIBS = @REPL_LIBS@
584REPL_OBJS = @REPL_OBJS@
585REPL_POLICIES = @REPL_POLICIES@
586RM = @RM@
587SED = @SED@
588SET_MAKE = @SET_MAKE@
589SH = @SH@
590SHELL = @SHELL@
591SMBCLIENT = @SMBCLIENT@
592SNMPLIB = @SNMPLIB@
593SQUID_CFLAGS = @SQUID_CFLAGS@
594SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
595SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
596SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
597SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
598SSLLIB = @SSLLIB@
599STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
600STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
601STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
602STORE_TESTS = @STORE_TESTS@
603STRIP = @STRIP@
604TR = @TR@
605TRUE = @TRUE@
606URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
607VERSION = @VERSION@
608WBINFO = @WBINFO@
609WIN32_PSAPI = @WIN32_PSAPI@
610XMLLIB = @XMLLIB@
611XTRA_LIBS = @XTRA_LIBS@
612XTRA_OBJS = @XTRA_OBJS@
613abs_builddir = @abs_builddir@
614abs_srcdir = @abs_srcdir@
615abs_top_builddir = @abs_top_builddir@
616abs_top_srcdir = @abs_top_srcdir@
617ac_ct_AR = @ac_ct_AR@
618ac_ct_CC = @ac_ct_CC@
619ac_ct_CXX = @ac_ct_CXX@
620ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
621am__include = @am__include@
622am__leading_dot = @am__leading_dot@
623am__quote = @am__quote@
624am__tar = @am__tar@
625am__untar = @am__untar@
626bindir = @bindir@
627build = @build@
628build_alias = @build_alias@
629build_cpu = @build_cpu@
630build_os = @build_os@
631build_vendor = @build_vendor@
632builddir = @builddir@
633datadir = @datadir@
634datarootdir = @datarootdir@
635docdir = @docdir@
636dvidir = @dvidir@
637exec_prefix = @exec_prefix@
638host = @host@
639host_alias = @host_alias@
640host_cpu = @host_cpu@
641host_os = @host_os@
642host_vendor = @host_vendor@
643htmldir = @htmldir@
644includedir = @includedir@
645infodir = @infodir@
646install_sh = @install_sh@
647krb5_config = @krb5_config@
648libdir = @libdir@
649libexecdir = @libexecdir@
650localedir = @localedir@
651localstatedir = @localstatedir@
652ltdl_LIBOBJS = @ltdl_LIBOBJS@
653ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
654mandir = @mandir@
655mkdir_p = @mkdir_p@
656oldincludedir = @oldincludedir@
657pdfdir = @pdfdir@
658prefix = @prefix@
659program_transform_name = @program_transform_name@
660psdir = @psdir@
661runstatedir = @runstatedir@
662sbindir = @sbindir@
663sharedstatedir = @sharedstatedir@
664srcdir = @srcdir@
665subdirs = @subdirs@
666sys_symbol_underscore = @sys_symbol_underscore@
667sysconfdir = @sysconfdir@
668target_alias = @target_alias@
669top_build_prefix = @top_build_prefix@
670top_builddir = @top_builddir@
671top_srcdir = @top_srcdir@
672AM_CFLAGS = $(SQUID_CFLAGS)
673AM_CXXFLAGS = $(SQUID_CXXFLAGS)
674CLEANFILES =
675AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
676        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
677        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
678        $(am__append_1)
679@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
680@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
681COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
682subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
683man_MANS = ext_session_acl.8
684EXTRA_DIST = ext_session_acl.8 required.m4
685ext_session_acl_SOURCES = ext_session_acl.cc
686LDADD = \
687        $(COMPAT_LIB) \
688        $(LIB_DB)
689
690all: all-am
691
692.SUFFIXES:
693.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
694$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
695        @for dep in $?; do \
696          case '$(am__configure_deps)' in \
697            *$$dep*) \
698              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
699                && { if test -f $@; then exit 0; else break; fi; }; \
700              exit 1;; \
701          esac; \
702        done; \
703        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/external_acl/session/Makefile'; \
704        $(am__cd) $(top_srcdir) && \
705          $(AUTOMAKE) --foreign helpers/external_acl/session/Makefile
706Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
707        @case '$?' in \
708          *config.status*) \
709            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
710          *) \
711            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
712            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
713        esac;
714$(top_srcdir)/src/Common.am $(am__empty):
715
716$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
717        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
718
719$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
720        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
721$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
722        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
723$(am__aclocal_m4_deps):
724
725clean-checkPROGRAMS:
726        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
727        echo " rm -f" $$list; \
728        rm -f $$list || exit $$?; \
729        test -n "$(EXEEXT)" || exit 0; \
730        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
731        echo " rm -f" $$list; \
732        rm -f $$list
733install-libexecPROGRAMS: $(libexec_PROGRAMS)
734        @$(NORMAL_INSTALL)
735        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
736        if test -n "$$list"; then \
737          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
738          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
739        fi; \
740        for p in $$list; do echo "$$p $$p"; done | \
741        sed 's/$(EXEEXT)$$//' | \
742        while read p p1; do if test -f $$p \
743         || test -f $$p1 \
744          ; then echo "$$p"; echo "$$p"; else :; fi; \
745        done | \
746        sed -e 'p;s,.*/,,;n;h' \
747            -e 's|.*|.|' \
748            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
749        sed 'N;N;N;s,\n, ,g' | \
750        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
751          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
752            if ($$2 == $$4) files[d] = files[d] " " $$1; \
753            else { print "f", $$3 "/" $$4, $$1; } } \
754          END { for (d in files) print "f", d, files[d] }' | \
755        while read type dir files; do \
756            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
757            test -z "$$files" || { \
758            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
759            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
760            } \
761        ; done
762
763uninstall-libexecPROGRAMS:
764        @$(NORMAL_UNINSTALL)
765        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
766        files=`for p in $$list; do echo "$$p"; done | \
767          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
768              -e 's/$$/$(EXEEXT)/' \
769        `; \
770        test -n "$$list" || exit 0; \
771        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
772        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
773
774clean-libexecPROGRAMS:
775        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
776        echo " rm -f" $$list; \
777        rm -f $$list || exit $$?; \
778        test -n "$(EXEEXT)" || exit 0; \
779        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
780        echo " rm -f" $$list; \
781        rm -f $$list
782
783ext_session_acl$(EXEEXT): $(ext_session_acl_OBJECTS) $(ext_session_acl_DEPENDENCIES) $(EXTRA_ext_session_acl_DEPENDENCIES)
784        @rm -f ext_session_acl$(EXEEXT)
785        $(AM_V_CXXLD)$(CXXLINK) $(ext_session_acl_OBJECTS) $(ext_session_acl_LDADD) $(LIBS)
786
787mostlyclean-compile:
788        -rm -f *.$(OBJEXT)
789
790distclean-compile:
791        -rm -f *.tab.c
792
793@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ext_session_acl.Po@am__quote@
794
795.cc.o:
796@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
797@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
798@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
799@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
800@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
801@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
802
803.cc.obj:
804@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
805@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
806@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
807@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
808@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
809@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
810
811.cc.lo:
812@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
813@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
814@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
815@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
816@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
817@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
818
819mostlyclean-libtool:
820        -rm -f *.lo
821
822clean-libtool:
823        -rm -rf .libs _libs
824install-man8: $(man_MANS)
825        @$(NORMAL_INSTALL)
826        @list1=''; \
827        list2='$(man_MANS)'; \
828        test -n "$(man8dir)" \
829          && test -n "`echo $$list1$$list2`" \
830          || exit 0; \
831        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
832        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
833        { for i in $$list1; do echo "$$i"; done;  \
834        if test -n "$$list2"; then \
835          for i in $$list2; do echo "$$i"; done \
836            | sed -n '/\.8[a-z]*$$/p'; \
837        fi; \
838        } | while read p; do \
839          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
840          echo "$$d$$p"; echo "$$p"; \
841        done | \
842        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
843              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
844        sed 'N;N;s,\n, ,g' | { \
845        list=; while read file base inst; do \
846          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
847            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
848            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
849          fi; \
850        done; \
851        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
852        while read files; do \
853          test -z "$$files" || { \
854            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
855            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
856        done; }
857
858uninstall-man8:
859        @$(NORMAL_UNINSTALL)
860        @list=''; test -n "$(man8dir)" || exit 0; \
861        files=`{ for i in $$list; do echo "$$i"; done; \
862        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
863          sed -n '/\.8[a-z]*$$/p'; \
864        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
865              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
866        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
867
868ID: $(am__tagged_files)
869        $(am__define_uniq_tagged_files); mkid -fID $$unique
870tags: tags-am
871TAGS: tags
872
873tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
874        set x; \
875        here=`pwd`; \
876        $(am__define_uniq_tagged_files); \
877        shift; \
878        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
879          test -n "$$unique" || unique=$$empty_fix; \
880          if test $$# -gt 0; then \
881            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
882              "$$@" $$unique; \
883          else \
884            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
885              $$unique; \
886          fi; \
887        fi
888ctags: ctags-am
889
890CTAGS: ctags
891ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
892        $(am__define_uniq_tagged_files); \
893        test -z "$(CTAGS_ARGS)$$unique" \
894          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
895             $$unique
896
897GTAGS:
898        here=`$(am__cd) $(top_builddir) && pwd` \
899          && $(am__cd) $(top_srcdir) \
900          && gtags -i $(GTAGS_ARGS) "$$here"
901cscopelist: cscopelist-am
902
903cscopelist-am: $(am__tagged_files)
904        list='$(am__tagged_files)'; \
905        case "$(srcdir)" in \
906          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
907          *) sdir=$(subdir)/$(srcdir) ;; \
908        esac; \
909        for i in $$list; do \
910          if test -f "$$i"; then \
911            echo "$(subdir)/$$i"; \
912          else \
913            echo "$$sdir/$$i"; \
914          fi; \
915        done >> $(top_builddir)/cscope.files
916
917distclean-tags:
918        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
919
920# Recover from deleted '.trs' file; this should ensure that
921# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
922# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
923# to avoid problems with "make -n".
924.log.trs:
925        rm -f $< $@
926        $(MAKE) $(AM_MAKEFLAGS) $<
927
928# Leading 'am--fnord' is there to ensure the list of targets does not
929# expand to empty, as could happen e.g. with make check TESTS=''.
930am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
931am--force-recheck:
932        @:
933
934$(TEST_SUITE_LOG): $(TEST_LOGS)
935        @$(am__set_TESTS_bases); \
936        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
937        redo_bases=`for i in $$bases; do \
938                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
939                    done`; \
940        if test -n "$$redo_bases"; then \
941          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
942          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
943          if $(am__make_dryrun); then :; else \
944            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
945          fi; \
946        fi; \
947        if test -n "$$am__remaking_logs"; then \
948          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
949               "recursion detected" >&2; \
950        elif test -n "$$redo_logs"; then \
951          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
952        fi; \
953        if $(am__make_dryrun); then :; else \
954          st=0;  \
955          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
956          for i in $$redo_bases; do \
957            test -f $$i.trs && test -r $$i.trs \
958              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
959            test -f $$i.log && test -r $$i.log \
960              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
961          done; \
962          test $$st -eq 0 || exit 1; \
963        fi
964        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
965        ws='[   ]'; \
966        results=`for b in $$bases; do echo $$b.trs; done`; \
967        test -n "$$results" || results=/dev/null; \
968        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
969        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
970        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
971        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
972        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
973        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
974        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
975        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
976          success=true; \
977        else \
978          success=false; \
979        fi; \
980        br='==================='; br=$$br$$br$$br$$br; \
981        result_count () \
982        { \
983            if test x"$$1" = x"--maybe-color"; then \
984              maybe_colorize=yes; \
985            elif test x"$$1" = x"--no-color"; then \
986              maybe_colorize=no; \
987            else \
988              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
989            fi; \
990            shift; \
991            desc=$$1 count=$$2; \
992            if test $$maybe_colorize = yes && test $$count -gt 0; then \
993              color_start=$$3 color_end=$$std; \
994            else \
995              color_start= color_end=; \
996            fi; \
997            echo "$${color_start}# $$desc $$count$${color_end}"; \
998        }; \
999        create_testsuite_report () \
1000        { \
1001          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1002          result_count $$1 "PASS: " $$pass  "$$grn"; \
1003          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1004          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1005          result_count $$1 "FAIL: " $$fail  "$$red"; \
1006          result_count $$1 "XPASS:" $$xpass "$$red"; \
1007          result_count $$1 "ERROR:" $$error "$$mgn"; \
1008        }; \
1009        {                                                               \
1010          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1011            $(am__rst_title);                                           \
1012          create_testsuite_report --no-color;                           \
1013          echo;                                                         \
1014          echo ".. contents:: :depth: 2";                               \
1015          echo;                                                         \
1016          for b in $$bases; do echo $$b; done                           \
1017            | $(am__create_global_log);                                 \
1018        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1019        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1020        if $$success; then                                              \
1021          col="$$grn";                                                  \
1022         else                                                           \
1023          col="$$red";                                                  \
1024          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1025        fi;                                                             \
1026        echo "$${col}$$br$${std}";                                      \
1027        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1028        echo "$${col}$$br$${std}";                                      \
1029        create_testsuite_report --maybe-color;                          \
1030        echo "$$col$$br$$std";                                          \
1031        if $$success; then :; else                                      \
1032          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1033          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1034            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1035          fi;                                                           \
1036          echo "$$col$$br$$std";                                        \
1037        fi;                                                             \
1038        $$success || exit 1
1039
1040check-TESTS:
1041        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1042        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1043        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1044        @set +e; $(am__set_TESTS_bases); \
1045        log_list=`for i in $$bases; do echo $$i.log; done`; \
1046        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1047        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1048        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1049        exit $$?;
1050recheck: all $(check_PROGRAMS)
1051        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1052        @set +e; $(am__set_TESTS_bases); \
1053        bases=`for i in $$bases; do echo $$i; done \
1054                 | $(am__list_recheck_tests)` || exit 1; \
1055        log_list=`for i in $$bases; do echo $$i.log; done`; \
1056        log_list=`echo $$log_list`; \
1057        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1058                am__force_recheck=am--force-recheck \
1059                TEST_LOGS="$$log_list"; \
1060        exit $$?
1061.test.log:
1062        @p='$<'; \
1063        $(am__set_b); \
1064        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1065        --log-file $$b.log --trs-file $$b.trs \
1066        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1067        "$$tst" $(AM_TESTS_FD_REDIRECT)
1068@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1069@am__EXEEXT_TRUE@       @p='$<'; \
1070@am__EXEEXT_TRUE@       $(am__set_b); \
1071@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1072@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1073@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1074@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1075
1076distdir: $(DISTFILES)
1077        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1078        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1079        list='$(DISTFILES)'; \
1080          dist_files=`for file in $$list; do echo $$file; done | \
1081          sed -e "s|^$$srcdirstrip/||;t" \
1082              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1083        case $$dist_files in \
1084          */*) $(MKDIR_P) `echo "$$dist_files" | \
1085                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1086                           sort -u` ;; \
1087        esac; \
1088        for file in $$dist_files; do \
1089          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1090          if test -d $$d/$$file; then \
1091            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1092            if test -d "$(distdir)/$$file"; then \
1093              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1094            fi; \
1095            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1096              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1097              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1098            fi; \
1099            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1100          else \
1101            test -f "$(distdir)/$$file" \
1102            || cp -p $$d/$$file "$(distdir)/$$file" \
1103            || exit 1; \
1104          fi; \
1105        done
1106check-am: all-am
1107        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1108        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1109check: check-am
1110all-am: Makefile $(PROGRAMS) $(MANS)
1111installdirs:
1112        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1113          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1114        done
1115install: install-am
1116install-exec: install-exec-am
1117install-data: install-data-am
1118uninstall: uninstall-am
1119
1120install-am: all-am
1121        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1122
1123installcheck: installcheck-am
1124install-strip:
1125        if test -z '$(STRIP)'; then \
1126          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1127            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1128              install; \
1129        else \
1130          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1131            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1132            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1133        fi
1134mostlyclean-generic:
1135        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1136        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1137        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1138
1139clean-generic:
1140        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1141
1142distclean-generic:
1143        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1144        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1145
1146maintainer-clean-generic:
1147        @echo "This command is intended for maintainers to use"
1148        @echo "it deletes files that may require special tools to rebuild."
1149clean: clean-am
1150
1151clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1152        clean-libtool mostlyclean-am
1153
1154distclean: distclean-am
1155        -rm -rf ./$(DEPDIR)
1156        -rm -f Makefile
1157distclean-am: clean-am distclean-compile distclean-generic \
1158        distclean-tags
1159
1160dvi: dvi-am
1161
1162dvi-am:
1163
1164html: html-am
1165
1166html-am:
1167
1168info: info-am
1169
1170info-am:
1171
1172install-data-am: install-man
1173
1174install-dvi: install-dvi-am
1175
1176install-dvi-am:
1177
1178install-exec-am: install-libexecPROGRAMS
1179
1180install-html: install-html-am
1181
1182install-html-am:
1183
1184install-info: install-info-am
1185
1186install-info-am:
1187
1188install-man: install-man8
1189
1190install-pdf: install-pdf-am
1191
1192install-pdf-am:
1193
1194install-ps: install-ps-am
1195
1196install-ps-am:
1197
1198installcheck-am:
1199
1200maintainer-clean: maintainer-clean-am
1201        -rm -rf ./$(DEPDIR)
1202        -rm -f Makefile
1203maintainer-clean-am: distclean-am maintainer-clean-generic
1204
1205mostlyclean: mostlyclean-am
1206
1207mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1208        mostlyclean-libtool
1209
1210pdf: pdf-am
1211
1212pdf-am:
1213
1214ps: ps-am
1215
1216ps-am:
1217
1218uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1219
1220uninstall-man: uninstall-man8
1221
1222.MAKE: check-am install-am install-strip
1223
1224.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1225        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1226        clean-libtool cscopelist-am ctags ctags-am distclean \
1227        distclean-compile distclean-generic distclean-libtool \
1228        distclean-tags distdir dvi dvi-am html html-am info info-am \
1229        install install-am install-data install-data-am install-dvi \
1230        install-dvi-am install-exec install-exec-am install-html \
1231        install-html-am install-info install-info-am \
1232        install-libexecPROGRAMS install-man install-man8 install-pdf \
1233        install-pdf-am install-ps install-ps-am install-strip \
1234        installcheck installcheck-am installdirs maintainer-clean \
1235        maintainer-clean-generic mostlyclean mostlyclean-compile \
1236        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1237        recheck tags tags-am uninstall uninstall-am \
1238        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1239
1240.PRECIOUS: Makefile
1241
1242
1243$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1244
1245# Tell versions [3.59,3.63) of GNU make to not export all variables.
1246# Otherwise a system limit (for SysV at least) may be exceeded.
1247.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.